package zero1hd.rhythmbullet.graphics.ui.pages;

import com.badlogic.gdx.assets.AssetManager;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;

import zero1hd.rhythmbullet.controls.KeyMap;
import zero1hd.rhythmbullet.graphics.ui.components.ControlOptions;

public class KeybindOptionsPage extends Page {
	private ControlOptions controlTable;
	private KeyMap keyMap;
	
	public KeybindOptionsPage(Skin skin, AssetManager assets) {
		keyMap = new KeyMap(assets);
		controlTable = new ControlOptions(skin, keyMap);
		
		addActor(controlTable);
	}
	
	public void unselect() {
		controlTable.unselect();
	}
}
